Skip to main content
`Ctrl`+`K`

# SNESNASMGetDamping

Gets the update damping for `SNESNASM` the nonlinear additive Schwarz solver

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMGetDamping(SNES snes, PetscReal *dmp)

Not Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- dmp - damping

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNASM`, `SNESNASMSetDamping()`

## Level

intermediate

## Location

src/snes/impls/nasm/nasm.c

## Implementations

SNESNASMGetDamping_NASM() in src/snes/impls/nasm/nasm.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages